Overview
POST/notifications/{id}/readnotifications

Mark one notification as read

Create a record in read.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

Success

  • successboolean
Example
{
  "success": true
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/notifications/{id}/read" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/notifications/{id}/read", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();